org.scalatest.fixture.FixtureSuite

# OneArgTest

#### trait OneArgTest extends (FixtureParam) ⇒ Unit

Trait whose instances encapsulate a test function that takes a fixture and config map.

The `FixtureSuite` trait's implementation of `runTest` passes instances of this trait to `FixtureSuite`'s `withFixture` method, such as:

    def testSomething(fixture: Fixture) {
      // ...
    }
    def testSomethingElse(fixture: Fixture, info: Informer) {
      // ...
    }

For more detail and examples, see the documentation for trait `FixtureSuite`.

Attributes
  protected
Self Type
  OneArgTest

Linear Supertypes
(FixtureParam) ⇒ Unit, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. OneArgTest
2. Function1
3. AnyRef
4. Any

Visibility

1. Public
2. All

### Abstract Value Members

1. #### def apply (fixture: FixtureParam): Unit

   Run the test, using the passed `FixtureParam`.

   Run the test, using the passed `FixtureParam`.

   Attributes
     abstract
   Definition Classes
     OneArgTest → Function1

2. #### def configMap : Map[String, Any]

   Return a `Map[String, Any]` containing objects that can be used to configure the fixture and test.

   Return a `Map[String, Any]` containing objects that can be used to configure the fixture and test.

   Attributes
     abstract

3. #### def name : String

   The name of this test.

   The name of this test.

   Attributes
     abstract

### Concrete Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def andThen [A] (g: (Unit) ⇒ A): (FixtureParam) ⇒ A

   Definition Classes
     Function1

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def compose [A] (g: (A) ⇒ FixtureParam): (A) ⇒ Unit

   Definition Classes
     Function1

10. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

11. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

13. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

14. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

15. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

20. #### def toNoArgTest (fixture: FixtureParam): NoArgTest

    Convert this `OneArgTest` to a `NoArgTest` whose `name` and `configMap` methods return the same values as this `OneArgTest`, and whose `apply` method invokes this `OneArgTest`'s apply method, passing in the given `fixture`.

    Convert this `OneArgTest` to a `NoArgTest` whose `name` and `configMap` methods return the same values as this `OneArgTest`, and whose `apply` method invokes this `OneArgTest`'s apply method, passing in the given `fixture`.

    This method makes it easier to invoke the `withFixture` method that takes a `NoArgTest`. For example, if a `FixtureSuite` mixes in `SeveredStackTraces`, it will inherit an implementation of `withFixture(NoArgTest)` provided by `SeveredStackTraces` that implements the stack trace severing behavior. If the `FixtureSuite` does not delegate to that `withFixture(NoArgTest)` method, the stack trace severing behavior will not happen. Here's how that might look in a `FixtureSuite` whose `FixtureParam` is `StringBuilder`:

        def withFixture(test: OneArgTest) {
          withFixture(test.toNoArgTest(new StringBuilder))
        }

21. #### def toString (): String

    Definition Classes
      Function1 → AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from (FixtureParam) ⇒ Unit

### Inherited from AnyRef

### Inherited from Any